%define aurox_ver 11.0
%define rel 1.1


Summary: RPM installer/updater
Name: yum
Version: 2.3.2
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: System Environment/Base
Source0: http://linux.duke.edu/projects/yum/download/2.3/yum-%{version}.tar.gz
Source1: yum.conf.aurox
Source2: aurox.repo
Source3: aurox-devel.repo
Patch0: yum-fc4.patch
URL: http://linux.duke.edu/yum/
BuildArchitectures: noarch
BuildRequires: python
BuildRequires: gettext
Obsoletes: yum-phoebe
Requires: python, rpm-python, rpm >= 0:4.1.1, libxml2-python
Requires: python-sqlite
Requires: urlgrabber
Requires: python-elementtree
Prereq: /sbin/chkconfig, /sbin/service, coreutils
BuildRoot: %{_tmppath}/%{name}-root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q -n yum-%{version}
%patch0 -p0

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/yum.conf
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/yum.repos.d/aurox.repo
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/yum.repos.d/aurox-devel.repo

chmod +x $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/yum.cron

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add yum
/sbin/service yum condrestart >> /dev/null
exit 0

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog
%config(noreplace) %{_sysconfdir}/yum.conf
%dir %{_sysconfdir}/yum.repos.d
%dir %{_sysconfdir}/yum
%config(noreplace) %{_sysconfdir}/yum/yum-daily.yum
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/cron.weekly/yum.cron
%config(noreplace) %{_sysconfdir}/yum.repos.d/*
%config %{_sysconfdir}/rc.d/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/yum-cli/*
%{_bindir}/yum
%{_bindir}/yum-arch
/usr/lib/python?.?/site-packages/yum
/usr/lib/python?.?/site-packages/repomd
/usr/lib/python?.?/site-packages/rpmUtils
%dir /var/cache/yum
%{_mandir}/man*/*

%changelog
* Mon Aug 08 2005 Karol Kozimor <kkozimor@aurox.org> - 2.3.2-11.0.aur.1
- Rebuild with Aurox changes.

* Wed May 25 2005 Paul Nasrat <pnasrat@redhat.com> - 2.3.2-7
- Drop erase reversal patch 

* Tue May 24 2005 Paul Nasrat <pnasrat@redhat.com> - 2.3.2-6
- Erase/remove reversing for yum cli (#158577)

* Tue May 24 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-5
- allow multiple packages _providing_ kernel-devel (or any installonlypkgs) 
  to be installed (#155988)

* Mon May 23 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-4
- fix traceback on out of disk space error

* Fri May 20 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-3
- add fixes from Seth for the shell to run depsolve and to clean up 
  output somewhat (#158267)

* Thu May  5 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-2
- handle ppc64/sparc64 "correctly"

* Mon Apr  4 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-1
- update to 2.3.2, now requires python-elementtree for xml parsing

* Tue Mar 15 2005 Jeremy Katz <katzj@redhat.com> - 2.3.1-3
- add patch from gijs for sqlite changes

* Mon Mar 14 2005 Florian La Roche <laroche@redhat.com>
- python-sqlite3 -> python-sqlite

* Mon Mar  7 2005 Jeremy Katz <katzj@redhat.com> - 2.3.1-1
- update to 2.3.1
- urlgrabber is split out into its own package now
- require python-sqlite3

* Tue Feb 22 2005 Jeremy Katz <katzj@redhat.com> - 2.3.0-2
- fix the duplicate repos with the same id bug

* Mon Feb 21 2005 Jeremy Katz <katzj@redhat.com> - 2.3.0-1
- update to 2.3.0

* Tue Jan 25 2005 Jeremy Katz <katzj@redhat.com> - 2.1.13-1
- update to 2.1.13

* Sat Jan 22 2005 Jeremy Katz <katzj@redhat.com> - 2.1.12-2
- allow multiple kernel-devel packages to be installed

* Wed Jan 12 2005 Florian La Roche <laroche@redhat.com>
- add small patch to fix dep reporting

* Mon Nov 29 2004 Jeremy Katz <katzj@redhat.com> - 2.1.12-1
- update to 2.1.12
- add hack from jbj to workaround python 2.4 urllib breakage (#138535)

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 2.1.11-4
- rebuild for python 2.4

* Sun Oct 31 2004 Bill Nottingham <notting@redhat.com> - 2.1.11-3
- fix multilib update patch to allow installing noarch (#135396, continued)

* Fri Oct 29 2004 Jeremy Katz <katzj@redhat.com> - 2.1.11-2
- add patch to fix multilib updates on ia32e (#135396)

* Thu Oct 28 2004 Jeremy Katz <katzj@redhat.com> - 2.1.11-1
- update to 2.1.11
  - fix config file error handling
  - better handling of empty lines/comments in mirror lists
  - improve some error messages

* Sun Oct 24 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-3.1
- make the cron job executable (#136764)

* Thu Oct 21 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-3
- actually remove the repositories

* Wed Oct 20 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-2
- remove repositories from being explicitly listed in yum.conf, 
  .repo files will be included in the fedora-release package

* Tue Oct 19 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-1
- update to 2.1.10
  * updated man pages
  * make more resilient to broken groups file
  * fix urlgrabber failure callback (#136178)

* Mon Oct 18 2004 Jeremy Katz <katzj@redhat.com> - 2.1.9-1
- 2.1.9 includes the path fix

* Mon Oct 18 2004 Jeremy Katz <katzj@redhat.com> - 2.1.8-2
- fix path in /usr/bin/yum
- turn on gpgchecking by default

* Mon Oct 18 2004 Bill Nottingham <notting@redhat.com> - 2.1.8-1
- 2.1.8, fixes #135735, #135998, #135775

* Wed Oct 13 2004 Jeremy Katz <katzj@redhat.com> - 2.1.7-2
- add yum-arch

* Wed Oct 13 2004 Jeremy Katz <katzj@redhat.com> - 2.1.7-1
- 2.1.7
- use mirror list by default

* Wed Oct  6 2004 Bill Nottingham <notting@redhat.com> - 2.1.6-1
- 2.1.6

* Mon Oct  4 2004 Jeremy Katz <katzj@redhat.com> - 2.1.5-1
- 2.1.5
- turn on obsoletes=1 by default in yum.conf

* Wed Sep 29 2004 Bill Nottingham <notting@redhat.com> - 2.1.4-1
- 2.1.4

* Fri Sep  3 2004 Bill Nottingham <notting@redhat.com> - 2.1.3-1
- 2.1.3

* Thu Sep  2 2004 Jeremy Katz <katzj@redhat.com> - 2.1.2-1
- 2.1.2

* Wed Sep  1 2004 Jeremy Katz <katzj@redhat.com> - 2.1.1-1
- 2.1.1

* Tue Aug 31 2004 Jeremy Katz <katzj@redhat.com> - 2.1.0-1
- update to 2.1.0

* Wed Jul 7 2004  Elliot Lee <sopwith@redhat.com> 2.0.7-3
- Back to rawhide

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 11 2004 Elliot Lee <sopwith@redhat.com> 2.0.7-1.1
- Update config again

* Fri May  7 2004 Jeremy Katz <katzj@redhat.com> 2.0.7-1
- update to 2.0.7
- change config to point to final FC2 locations

* Fri Apr 16 2004 Jeremy Katz <katzj@redhat.com> - 2.0.7-0.20040416
- new snap 

* Sat Apr  3 2004 Jeremy Katz <katzj@redhat.com> 2.0.7-0.20040403
- new snap, should fix yum -e name.arch

* Wed Mar 17 2004 Jeremy Katz <katzj@redhat.com> 2.0.6-1
- update to 2.0.6

* Wed Mar 10 2004 Jeremy Katz <katzj@redhat.com> 2.0.5.20040310-1
- update to today's snap

* Wed Mar  3 2004 Jeremy Katz <katzj@redhat.com> 2.0.5.20040303-1
- today's snap

* Tue Mar  2 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040229-1
- update again per seth's request

* Thu Feb 26 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- mv /etc/init.d -> /etc/rc.d/init.d

* Tue Feb 24 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040224-1
- newer

* Mon Feb 23 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040223-1
- update to current snapshot per skvidal's request
- add retries=20 to yum.conf

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 23 2004 Bill Nottingham <notting@redhat.com> 2.0.4.20040103-1
- update to current snapshot
- fix config for FC2 test 1

* Tue Dec 23 2003 Jeff Johnson <jbj@redhat.com> 2.0.4-5
- build yum daily snapshot for amd64 fix.

* Wed Nov 12 2003 Bill Nottingham <notting@redhat.com> 2.0.4-4
- patch for excluding dirs in yum-arch from CVS

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 2.0.4-3
- patch to work with python 2.3 from Seth

* Wed Oct 29 2003 Elliot Lee <sopwith@redhat.com> 2.0.4-2
- Stick in a new yum.conf for FC1.

* Mon Oct 20 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- new upstream release 2.0.4

* Tue Sep 16 2003 Jeff Johnson <jbj@redhat.com> 2.0.3-1
- update to 2.0.3
- drop yum-init patch, merged into 2.0.3.
- change rpm version requirement to 4.1.1.

* Thu Jul 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- change init script to more current RHL style

* Wed Jul 23 2003 Nalin Dahyabhai <nalin@redhat.com>
- require libxml2-python, because yum does

* Thu Jul 17 2003 Jeff Johnson <jbj@redhat.com> 2.0-1
- update to 2.0.

* Thu May 22 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030522
- update to snapshot.

* Mon May 12 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030512
- create.
